var today = new Date;

today1 = Date.parse(today);
future1 = Date.parse("January 17, 2010 07:59:59");
secleft = (future1 - today1)/1000;

var limit = secleft; // в секундах
function processTimer(){
  if (limit > 0) {
	setTimeout("processTimer()",1000);
	limit--;
  } else {
	// здесь действия после завершения таймера
	//..
		limit_str = "";
		limit_str = "<div class='timer_digits'>Выборы Президента Украины состоялись</div>";
	  el_timer = document.getElementById("timer");
	  if (el_timer){ 
		el_timer.innerHTML = limit_str;
		el_timer.style.display = 'block';
	  }
	  return false;
  }
  var limit_mod=0;
  var limit_day = parseInt(limit/(24*60*60));//сутки
	  limit_mod = limit - limit_day*(24*60*60);

  var limit_hour = parseInt(limit_mod/(60*60)); // часы
	  limit_mod = limit_mod - limit_hour*(60*60);

  var limit_min= parseInt(limit_mod/60); //минуты
  limit_mod = limit_mod - limit_min*60; // секунды

  // строка с оставшимся временем
  limit_str = "";
  if (limit_day < 10) limit_str = limit_str + "<div class='timer_digits'>0"+limit_day+"</div>";
  else	limit_str = limit_str + "<div class='timer_digits'>" + limit_day + "</div>";
  if (limit_day < 2) limit_str = limit_str +"<div class='timer_text'>ДЕНЬ</div>";
  else if (limit_day < 5)   limit_str = limit_str +"<div class='timer_text'>ДНЯ</div>";
  else if (limit_day < 21) limit_str = limit_str +"<div class='timer_text'>ДНЕЙ</div>";
  else if (limit_day < 25) limit_str = limit_str +"<div class='timer_text'>ДНЯ</div>";
  else limit_str = limit_str +"<div class='timer_text'>ДНЕЙ</div>"; 

  if (limit_hour < 10) limit_str = limit_str + "<div class='timer_digits'>0"+limit_hour+"</div>";
  else limit_str = limit_str + "<div class='timer_digits'>" + limit_hour + "</div>";
  limit_str = limit_str +"<div class='timer_text'>ЧАСОВ</div>";

  if (limit_min < 10) limit_str = limit_str + "<div class='timer_digits'>0"+limit_min+"</div>";
  else limit_str = limit_str + "<div class='timer_digits'>" + limit_min + "</div>";
  limit_str = limit_str +"<div class='timer_text'>МИНУТ</div>";

  if (limit_mod < 10) limit_str = limit_str + "<div class='timer_digits'>0"+limit_mod+"</div>";
  else limit_str = limit_str + "<div class='timer_digits'>" + limit_mod + "</div>";
  limit_str = limit_str +"<div class='timer_text'>СЕКУНД</div>";
  // вывод времени
  el_timer = document.getElementById("timer");
  if (el_timer){ 
	el_timer.innerHTML = limit_str;
	el_timer.style.display = 'block';
  }
}
processTimer();